# Module minio::s3::utils

source · [−]

## Functions

b64encode

Encode arbitrary octets as base64. Returns a String. Convenience for `encode_config(input, base64::STANDARD);`.

check_bucket_name
copy_slice
crc32
from_http_header_value
from_iso8601utc
get_canonical_headers
get_canonical_query_string
get_default_text
get_option_text
get_text
md5sum_hash
merge
sha256_hash
to_amz_date
to_http_header_value
to_http_headers
to_iso8601utc
to_query_string
to_signer_date
uint32
urldecode

Decode percent-encoded string assuming UTF-8 encoding.

urlencode

Percent-encodes every byte except alphanumerics and `-`, `_`, `.`, `~`. Assumes UTF-8 encoding.

utc_now

## Type Definitions

Multimap
UtcTime